<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://www.biuro.lt
 * @since      2.0.0
 *
 * @package    Biuro_Contacts
 * @subpackage Biuro_Contacts/public/partials
 */

/**
 * @link https://codex.wordpress.org/Creating_Options_Pages
 * @link https://www.smashingmagazine.com/2016/04/three-approaches-to-adding-configurable-fields-to-your-plugin/
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) die;

    # sitie po submito;
    $nameValue = $_SESSION['recommend--name-value'];
    $nameStatus = $_SESSION['recommend--name-status'];
    $nameMessage = __($_SESSION['recommend--name-message'], 'biuro-contacts');

    $phoneValue = $_SESSION['recommend--phone-value'];
    $phoneStatus = $_SESSION['recommend--phone-status'];
    $phoneMessage = __($_SESSION['recommend--phone-message'], 'biuro-contacts');

    $emailValue = $_SESSION['recommend--email-value'];
    $emailStatus = $_SESSION['recommend--email-status'];
    $emailMessage = __($_SESSION['recommend--email-message'], 'biuro-contacts');

    $cityValue = $_SESSION['recommend--city-value'];
    $cityIDValue = $_SESSION['recommend--city_id-value'];

    $recommendNameValue = $_SESSION['recommend--recommend_name-value'];
    $recommendNameStatus = $_SESSION['recommend--recommend_name-status'];
    $recommendNameMessage = __($_SESSION['recommend--recommend_name-message'], 'biuro-contacts');

    $recommendPhoneValue = $_SESSION['recommend--recommend_phone-value'];
    $recommendPhoneStatus = $_SESSION['recommend--recommend_phone-status'];
    $recommendPhoneMessage = __($_SESSION['recommend--recommend_phone-message'], 'biuro-contacts');

    $recommendEmailValue = $_SESSION['recommend--recommend_email-value'];
    $recommendEmailStatus = $_SESSION['recommend--recommend_email-status'];
    $recommendEmailMessage = __($_SESSION['recommend--recommend_email-message'], 'biuro-contacts');

    $recommendCityValue = $_SESSION['recommend--recommend_city-value'];
    $recommendCityIDValue = $_SESSION['recommend--recommend_city_id-value'];


    if (is_numeric($_SESSION['recommend--id'])) {
        $employeeData = Biuro_Contacts_Public::fetchRow($_SESSION['recommend--id'], 'biuro_recommend');

        $nameValue = $employeeData['name'];
        $phoneValue = $employeeData['phone'];
        $emailValue = $employeeData['email'];
        $cityValue = $employeeData['city'];
        $cityIDValue = $employeeData['city_id'];
    }

?>

<form name="form-recommend" action="<?php echo esc_url( admin_url('admin-post.php') ); ?>" method="post" enctype="multipart/form-data" class="c-form c-form--recommend">
    <div id="action" class="c-form--action"></div>

    <div class="c-form--cols">
        <div class="c-form--col c-form--col--about">

            <div class="c-form--headline c-form--headline--about">
                <?php _e('About You', 'biuro-contacts'); ?>
            </div>

            <div class="c-form--row">
                <label class="c-form--label" for="form-name"><?php _e('Your Name, surname', 'biuro-contacts'); ?></label>
                <div class="c-form--input-wrap <?php if ($nameStatus) { echo "c-form--input-wrap--$nameStatus"; } ?>">
                    <input type="text" class="c-form--input" id="form-name" name="name" value="<?php echo $nameValue; ?>" <?php if ($nameStatus == 'error'): ?> autofocus="autofocus" <?php endif; ?>>
                </div>
                <?php if ($nameMessage): ?>
                    <div class="c-form--validation-fixed c-form--validation-<?php echo $nameStatus; ?>">
                        <?php echo $nameMessage; ?>
                    </div>
                <?php endif; ?>
            </div><!-- .c-form--row -->

            <div class="c-form--row">
                <label class="c-form--label" for="form-phone"><?php _e('Your Phone no.', 'biuro-contacts'); ?></label>
                <div class="c-form--input-wrap <?php if ($phoneStatus) { echo "c-form--input-wrap--$phoneStatus"; } ?>">
                    <input type="tel" class="c-form--input" id="form-phone" name="phone" value="<?php echo $phoneValue; ?>" <?php if ($nameStatus != 'error' && $phoneStatus == 'error'): ?> autofocus="autofocus" <?php endif; ?>>
                </div>
                <?php if ($phoneMessage): ?>
                    <div class="c-form--validation-fixed c-form--validation-<?php echo $phoneStatus; ?>">
                        <?php echo $phoneMessage; ?>
                    </div>
                <?php endif; ?>
            </div><!-- .c-form--row -->

            <div class="c-form--row">
                <label class="c-form--label" for="form-email"><?php _e('Your Email address', 'biuro-contacts'); ?></label>
                <div class="c-form--input-wrap <?php if ($emailStatus) { echo "c-form--input-wrap--$emailStatus"; } ?>">
                    <input type="email" class="c-form--input" id="form-email" name="email" value="<?php echo $emailValue; ?>">
                </div>
                <?php if ($emailMessage): ?>
                    <div class="c-form--validation-fixed c-form--validation-<?php echo $emailStatus; ?>">
                        <?php echo $emailMessage; ?>
                    </div>
                <?php endif; ?>
            </div><!-- .c-form--row -->

            <div class="c-form--row">
                <label class="c-form--label" for="form-city"><?php _e('Your City', 'biuro-contacts'); ?></label>
                <div class="c-form--input-wrap c-form--autocomplete">
                    <datalist id="form-cities">
        <?php
                    $cities = get_terms( array(
                        'taxonomy' => 'city',
                        'hide_empty' => false,
                    ) );

                    foreach ( $cities as $city ):
        ?>
                        <option value="<?php echo preg_replace('/\D/', '', $city->slug); ?>"><?php echo $city->name; ?></option>
        <?php
                    endforeach;
        ?>
                    </datalist>
                    <input list="form-cities" type="text" class="c-form--input" id="form-city" name="city" value="<?php echo $cityValue; ?>">
                    <input type="hidden" id="form-city-id" name="city_id" value="<?php echo $cityIDValue; ?>">
                </div>
            </div><!-- .c-form--row -->

        </div><!-- .c-form--col -->

        <div class="c-form--col c-form--col--about-friend">

            <div class="c-form--headline c-form--headline--about-friend">
                <?php _e('About Your friend', 'biuro-contacts'); ?>
            </div>

            <div class="c-form--row">
                <label class="c-form--label" for="recommend-form-name"><?php _e('Friend Name, surname', 'biuro-contacts'); ?></label>
                <div class="c-form--input-wrap <?php if ($recommendNameStatus) { echo "c-form--input-wrap--$recommendNameStatus"; } ?>">
                    <input type="text" class="c-form--input" id="recommend-form-name" name="recommend_name" value="<?php echo $recommendNameValue; ?>" <?php if ($recommendNameStatus == 'error'): ?> autofocus="autofocus" <?php endif; ?>>
                </div>
                <?php if ($recommendNameMessage): ?>
                    <div class="c-form--validation-fixed c-form--validation-<?php echo $recommendNameStatus; ?>">
                        <?php echo $recommendNameMessage; ?>
                    </div>
                <?php endif; ?>
            </div><!-- .c-form--row -->


            <div class="c-form--row">
                <label class="c-form--label" for="recommend-form-phone"><?php _e('Friend Phone no.', 'biuro-contacts'); ?></label>
                <div class="c-form--input-wrap <?php if ($recommendPhoneStatus) { echo "c-form--input-wrap--$recommendPhoneStatus"; } ?>">
                    <input type="tel" class="c-form--input" id="recommend-form-phone" name="recommend_phone" value="<?php echo $recommendPhoneValue; ?>" <?php if ($recommendNameStatus != 'error' && $recommendPhoneStatus == 'error'): ?> autofocus="autofocus" <?php endif; ?>>
                </div>
                <?php if ($recommendPhoneMessage): ?>
                    <div class="c-form--validation-fixed c-form--validation-<?php echo $recommendPhoneStatus; ?>">
                        <?php echo $recommendPhoneMessage; ?>
                    </div>
                <?php endif; ?>
            </div><!-- .c-form--row -->


            <div class="c-form--row">
                <label class="c-form--label" for="recommend-form-email"><?php _e('Friend Email address', 'biuro-contacts'); ?></label>
                <div class="c-form--input-wrap <?php if ($recommendEmailStatus) { echo "c-form--input-wrap--$recommendEmailStatus"; } ?>">
                    <input type="email" class="c-form--input" id="recommend-form-email" name="recommend_email" value="<?php echo $recommendEmailValue; ?>">
                </div>
                <?php if ($recommendEmailMessage): ?>
                    <div class="c-form--validation-fixed c-form--validation-<?php echo $recommendEmailStatus; ?>">
                        <?php echo $recommendEmailMessage; ?>
                    </div>
                <?php endif; ?>
            </div><!-- .c-form--row -->

            <div class="c-form--row">
                <label class="c-form--label" for="recommend-form-city"><?php _e('Friend City', 'biuro-contacts'); ?></label>
                <div class="c-form--input-wrap c-form--autocomplete">
                    <datalist id="recommend-form-cities">
        <?php
                    $cities = get_terms( array(
                        'taxonomy' => 'city',
                        'hide_empty' => false,
                    ) );

                    foreach ( $cities as $recommendCity ):
        ?>
                        <option value="<?php echo preg_replace('/\D/', '', $recommendCity->slug); ?>"><?php echo $recommendCity->name; ?></option>
        <?php
                    endforeach;
        ?>
                    </datalist>
                    <input list="form-cities" type="text" class="c-form--input" id="recommend-form-city" name="recommend_city" value="<?php echo $recommendCityValue; ?>">
                    <input type="hidden" id="recommend-form-city-id" name="recommend_city_id" value="<?php echo $recommendCityIDValue; ?>">
                </div>
            </div><!-- .c-form--row -->

        </div><!-- .c-form--col -->
    </div><!-- .c-form--cols -->

    <?php
        if ( isset($_SESSION['recommend--captcha-status']) && $_SESSION['recommend--captcha-status'] == 'error' ):
    ?>
        <div class="c-form--validation-fixed c-form--validation-error">
            <?php _e('Sorry, something went wrong. Please try again', 'biuro-contacts'); ?>
        </div>

    <?php
            unset($_SESSION['recommend--captcha-status']);
        endif;
     ?>

    <div class="c-form--row">
        <div class="c-form--label-infobox">
            <?php _e('I allow, that my personal data will be used for communicating during the pre-contractual relationship. For more detailed information view our <a href="https://biuro.eu/privacy-en.html" target="_blank" rel="noopener">Personal Data Protection Policy.</a>', 'biuro-contacts'); ?>
        </div>
    </div><!-- .c-form--row -->

    <div class="c-form--row">
        <div class="c-form--submit-wrap u-align--center">
            <button type="submit" class="o-btn c-btn--main c-btn--max-fill" name="s" value="1"><?php _e('Recommend', 'biuro-contacts'); ?></button>
        </div>
    </div><!-- .c-form--row -->

    <div class="c-form--label-recaptcha">
        <?php _e('This site is protected by reCAPTCHA and the Google <a href="https://policies.google.com/privacy">Privacy Policy</a> and <a href="https://policies.google.com/terms">Terms of Service</a> apply.', 'biuro-contacts'); ?>
    </div>

    <input type="hidden" name="action" value="recommend_post">
    <?php wp_nonce_field('recommend_post_nonce'); ?>

    <input type="hidden" id="g-recaptcha-response" name="captcha">

<script src="https://www.google.com/recaptcha/api.js?onload=onloadCaptcha&render=6Lc76qoUAAAAALk0aYR500zOZVG1BicNl3GTb-Hu" async defer></script>
<script>
function onloadCaptcha () {
    window.grecaptcha.ready(function () {
        execCaptcha();
        setInterval(execCaptcha, 90000);
    });
}
function execCaptcha () {
    var no = Math.floor(Math.random() * 999999) + 100000;
    window.grecaptcha.execute('6Lc76qoUAAAAALk0aYR500zOZVG1BicNl3GTb-Hu', { action: 'recommend/' + no }).then(function (token) {
        if (document.getElementById('g-recaptcha-response')) {
            document.getElementById('g-recaptcha-response').value = token;
        }
    });
}
</script>

</form>


<?php if (isset($_SESSION['recommend--s']) && $_SESSION['recommend--s'] == 1): ?>

<div class="c-modal">
    <div class="c-modal--inner">
        <svg width="67px" height="67px">
            <use xlink:href="#ico--success"></use>
        </svg>
        <p><?php _e('Thank You for your recommendation!', 'biuro-contacts'); ?></p>
        <p><?php _e('Your recommendation was send successfully, we will contact Your friend', 'biuro-contacts'); ?></p>
        <p><button  class="js-modal--close o-btn c-btn--main"><?php _e('OK', 'biuro-contacts'); ?></button></p>
    </div>
</div>

<script>
window.dataLayer = window.dataLayer || [];
window.dataLayer.push({ event: 'b2c_form_submit_success_validated', label: 'Recommend page' });
</script>
<?php
    unset($_SESSION['recommend--s']);
endif;
?>

